@import url('https://fonts.googleapis.com/css2?family=Black+Ops+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Jost:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Tajawal&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen&display=swap');
*{
    font-family: 'Black Ops One', system-ui;    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    text-transform: capitalize;
    text-decoration: none;
    transition: 0.2s all linear;
}

*::selection {
    background: var(--main);
    color: #fff;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 9rem;
    scroll-behavior: smooth;
}

section {
    padding: 2rem 7%;
}

html::-webkit-scrollbar {
    width: 10px;
}

html::-webkit-scrollbar-thumb {
    background: var(--main);
}

html::-webkit-scrollbar-track {
    background: #000;
}

/* global variables */
:root {
    --main:#F14624;
    --box_shadow:0 0.5rem 1.5rem rgba(0,0,0,0.3);
}

.btn {
    background: var(--main);
    cursor: pointer;
    color: #fff;
    display: inline-block;
    padding: 0.9rem 3rem;
    margin-top: 1rem;
    font-size: 1.7rem;
}

.btn:hover {
    letter-spacing: 0.2rem;
}

.heading {
    font-size: 4rem;
    text-align: center;
    text-transform: uppercase;
    padding-bottom: 3.5rem;
}

.heading span {
    color: var(--main);
    text-transform: uppercase;
}

/* navbar/ header start */

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 9%;
}

.header .logo img {
    height: 6rem;
}

.header .navbar a {
    color: #000000;
    font-size: 1.7rem;
    margin-left: 2rem;
}

.header .navbar a:hover {
    color: var(--main);
}

#menuBars {
    color: #000000;
    cursor: pointer;
    font-size: 3rem;
    display: none;
}

/* home section start */

.home {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.6)), url('img/home3.jpg');
    min-height: 100vh;
    background-position: center;
    background-size: cover;
    object-fit: cover;
    background-repeat: no-repeat;
}

.home .content {
    max-width: 60rem;
    color: #fff;
}

.home .content h3 {
    font-family: 'Noto Serif', serif;
    margin-top: 20rem;
    font-size: 3.5rem;
    text-transform: uppercase;
    
}

.home .content p {
    font-family: 'Noto Serif', serif;
    font-weight: lighter;
    font-size: 2rem;
    line-height: 1.8;
    color: #ccc;
    padding: 1rem 0;
}
/* about us section start */

.about .row {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.about .row .img {
    flex: 1 1 45rem;
    padding: 1rem;
}

.about .row .img img {
    width: 100%;
    border: 0.5rem solid var(--main);
    border-radius: 0.6rem;
}

.about .row .content {
    flex: 1 1 45rem;
}

.about .row .content h3 {
    font-size: 2.5rem;
}

.about .row .content p {
    font-family: 'Noto Serif', serif;
    font-size: 1.5rem;
    padding: 1rem 0 ;
    line-height: 2;
}

/* services section start */

.services {
    margin-bottom: 200px;
}

.services .boxContainer {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap: 1.5rem;
}

.services .boxContainer .box {
    background: rgb(20, 19, 19);
    text-align: center;
    padding: 2.5rem;
    border-radius: 0.5rem;
    color: #fff;
}

.services .boxContainer .box:hover i {
    transform: scale(1.1);
}

.services .boxContainer .box i {
    width: 6rem;
    height: 6rem;
    border-radius: 50%;
    line-height: 6rem;
    font-size: 2.5rem;
    background: var(--main);
    color: #fff;
}

.services .boxContainer .box h3 {
    padding: 1rem 0;
    font-size: 2rem;
    font-family: 'Jost', sans-serif;
    letter-spacing: 0.2rem;
}

.services .boxContainer .box p {
    line-height: 1.8;
    color: #eee;
    font-size: 1.4rem;
    font-family: 'Tajawal', sans-serif;
}

/* gallery section start */

.gallery {
    margin-bottom: 50px;
}

.gallery .boxContainer {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap: 1.5rem;
}

.gallery .boxContainer .box {
    position: relative;
    border-radius: 0.5rem;
    border-radius: 0.5rem;
    border: 0.5rem solid var(--main);
    overflow: hidden;
    cursor: pointer;
    height: 25rem;
}

.gallery .boxContainer .box img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.gallery .boxContainer .box:hover img {
    transform: scale(1.2);
}

.gallery .boxContainer .box .title {
    position: absolute;
    top: -10rem;
    left: 0;
    right: 0;
    background: var(--main);
    text-align: center;
    padding-bottom: 1rem;
    font-size: 2rem;
    color: #fff;
    font-family: 'Tajawal', sans-serif;
    letter-spacing: 0.5rem;
}

.gallery .boxContainer .box:hover .title {
    top: 0;
}

.gallery .boxContainer .box .icons {
    position: absolute;
    bottom: -10rem;
    left: 0;
    right: 0;
    background: var(--main);
    text-align: center;
    padding-top: 1rem;
}

.gallery .boxContainer .box:hover .icons {
   bottom: 0;
}

.gallery .boxContainer .box .icons a {
    color: #fff;
    margin: 0.5rem 1rem;
    font-size: 2rem;
}

.gallery .boxContainer .box .icons a:hover {
    color: #000;
}

/* review section start */

.review {
    margin-bottom: 100px;
}

.review .box {
    border-radius: 0.5rem;
    background: #000;
    padding: 2rem;
    position: relative;
}

.review .box:hover {
    transform: scale(1.04);
}

.review .box .fa-quote-right {
    position: absolute;
    top: 2rem;
    right: 2rem;
    color: var(--main);
    font-size: 5rem;
}

.review .box .img {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding-bottom: 1rem;
}

.review .box .img img {
    height: 7rem;
    width: 7rem;
    border-radius: 50%;
    object-fit: cover;
}

.review .box .img h3 {
    color: #fff;
    font-size: 2rem;
    font-family: 'Tajawal', sans-serif;
}

.review .box .img span {
    font-size: 1.5rem;
    color: #ccc;
    font-family: 'Tajawal', sans-serif;
}

.review .box  p {
    font-size: 1.6rem;
    padding: 0.5rem 0;
    color: #eee;
    font-family: 'Oxygen', sans-serif;
}

/* contact section start */

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
}

.contact form .inputBox {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact .inputBox input,
.contact textarea {
    width: 100%;
    background: #000;
    font-family: 'Tajawal', sans-serif;
    border-radius: 0.5rem;
    padding: 1rem;
    text-transform: none;
    color: #fff;
    font-size: 1.5rem;
    margin: 0.7rem 0;
}

.contact .inputBox input::placeholder,
.contact textarea::placeholder {
    color: #eee;
    text-transform: capitalize;
}

.contact .inputBox input:focus,
.contact textarea:focus {
   background: #111;
}

.contact .inputBox input {
    width: 49%;
}

.contact form textarea {
    resize: none;
}

/* footer */

.footer {
    background: black;
}

.footer  h1 {
    font-family: 'Tajawal', sans-serif;
}

.footer .box-container {
    display: flex;
    flex-wrap: wrap;
}

.footer .box-container .box {
    flex: 1 1 25rem;
    margin: 1rem;
}

.footer .box-container .box h3 {
    font-size: 2.5rem;
    color: var(--main);
    padding: 1rem 0;
    font-family: 'Tajawal', sans-serif;
}

.footer .box-container .box p {
    font-size: 1.5rem;
    color: #ffffff;
    padding: 1rem 0;
    font-family: 'Tajawal', sans-serif;
}

.footer .box-container .box p i {
    padding-right: .5rem;
    color: var(--main);
}

.footer .box-container .box a {
    font-size: 1.5rem;
    color: #fff;
    padding: 1rem 0;
    display: block;
}

.footer a:hover {
    text-decoration: underline;
}

.footer .credit {
    padding: 2rem 1rem;
    font-size: 2rem;
    color: #fff;
    border-top: .1rem solid rgba(0, 0, 0, .1);
    text-align: center;
}

.footer .credit samp {
    color: var(--main);
    font-family: 'Tajawal', sans-serif;
}

/* toggle theme */

.toggleTheme {
    position: fixed;
    top: 10rem;
    right: 0;
    right: -20rem;
    background: #000;
    z-index: 10000;
    text-align: center;
    width: 20rem;
}

.toggleTheme.active {
    right: 0;
}

.toggleTheme h3 {
    color: #fff;
    font-size: 2rem;
    padding: 1rem 0;
    font-family: 'Tajawal', sans-serif;
}

.toggleTheme .toggleBtn {
    position: absolute;
    top: 0;
    left: -5.9rem;
    padding: 1.3rem 1.5rem;
    background: #000;
    cursor: pointer;
}

.toggleTheme .toggleBtn i {
    color: #fff;
    font-size: 2.2rem;
    animation: toggleSpin 3.5s linear infinite;
}

.toggleTheme .buttons {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem;
}

.toggleTheme .buttons .theme-btn {
    height: 5rem;
    width: 5rem;
    border-radius: 50%;
    cursor: pointer;
}

@keyframes toggleSpin {
    0% {
        transform: rotate(360deg);
    }
}





/* media queries */

@media (max-width: 991px) {
    html {
        font-size: 55%;
    }
    .header {
        padding: 1.5rem 2rem;
    }
}

@media (max-width: 768px) {
    #menuBars {
        display: initial;
    }
    .header .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        border-top: 0.2rem solid #222;
        background: #000;
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }
    .header .navbar.active {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }
    .header .navbar a {
        display: flex;
        background: #ffffff;
        font-size: 2rem;
        margin: 1.3rem;
        padding: 1.3rem;
        border-radius: 0.5rem;
    }
    .fa-times {
        transform: rotate(180deg);
    }
    .home {
        background-position: left;
        justify-content: center;
        text-align: center;
    }
    .home .content h3 {
        font-size: 4rem;
    }
    .home .content p {
        font-size: 1.5rem;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    .contact form .inputBox input {
        width: 100%;
    }
}